IStateMachine

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IStateMachine

    com.change_vision.jude.api.inf.model.IStateMachine

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IStateMachine
extends INamedElement

Interface for StateMachines.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IStateMachineDiagram` | `getStateMachineDiagram()` Get StateMachine Diagram.
`abstract ITransition[]` | `getTransitions()` Get Transitions.
`abstract IVertex[]` | `getVertexes()` Get Vertexes.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getVertexes

    public abstract IVertex[] getVertexes()

  Get Vertexes.

  Returns:
    The array of Vertexes. Return the empty array if there is none.

### getTransitions

    public abstract ITransition[] getTransitions()

  Get Transitions.

  Returns:
    The array of Transitions. Return the empty array if there is none.

### getStateMachineDiagram

    public abstract IStateMachineDiagram getStateMachineDiagram()

  Get StateMachine Diagram.

  Returns:
    StateMachine Diagram.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD